=== src/gallium/drivers/nouveau/nvc0/mme/Makefile ===
ENVYAS?=envyas
TARGETS=com9097.mme.h

all: $(TARGETS)

$(TARGETS): %.mme.h: %.mme
	$(ENVYAS) -a -w -mmacro $< -o $@
