=== debian/changelog ===
mesa-lts-vivid (10.5.9-2ubuntu1~trusty2) trusty; urgency=medium

  * Backport vivid package for lts-vivid stack.

 -- Timo Aaltonen <tjaalton@debian.org>  Wed, 19 Aug 2015 21:37:31 +0300

mesa (10.5.9-2ubuntu1~vivid2) vivid; urgency=medium

  * skl-dont-use-the-pma-depth-stall-workaround.diff: Fix GPU hangs in
    certain cases. (LP: #1486522)

 -- Timo Aaltonen <tjaalton@debian.org>  Wed, 19 Aug 2015 21:32:42 +0300

mesa-lts-vivid (10.5.9-2ubuntu1~trusty1) trusty; urgency=medium

  * Backport vivid package for lts-vivid stack.

 -- Timo Aaltonen <tjaalton@debian.org>  Wed, 08 Jul 2015 11:39:06 +0300

mesa (10.5.9-2ubuntu1~vivid1) vivid; urgency=medium

  * Backport to vivid. (LP: #1471213)

 -- Timo Aaltonen <tjaalton@debian.org>  Wed, 08 Jul 2015 11:33:07 +0300

mesa (10.5.9-2ubuntu1) wily; urgency=medium

  * Merge from Debian unstable.

 -- Timo Aaltonen <tjaalton@debian.org>  Fri, 10 Jul 2015 14:02:38 +0300

mesa (10.5.9-2) unstable; urgency=medium

  * i965-do_blit_drawpixels-decode-array-formats.patch: Fix a regression
    since 10.5.5, allow using blit fastpath again.

 -- Timo Aaltonen <tjaalton@debian.org>  Fri, 10 Jul 2015 13:01:40 +0300

mesa (10.5.9-1ubuntu1) wily; urgency=medium

  * Merge from Debian unstable.
  * skl-use-1-register-for-uniform-pull.diff dropped, upstream.

 -- Timo Aaltonen <tjaalton@debian.org>  Mon, 06 Jul 2015 10:03:58 +0300

mesa (10.5.9-1) unstable; urgency=medium

  * New upstream release.

 -- Timo Aaltonen <tjaalton@debian.org>  Mon, 06 Jul 2015 08:56:26 +0300

mesa (10.5.8-1ubuntu2) wily; urgency=medium

  * i965-store-the-gpu-revision.diff,
    i965-refactor-simd16-to-2xsimd8-checks.diff,
    i965-define-i915-param-revision.diff,
    skl-break-down-simd16-3-source-instructions.diff:
    Fix noise in Unity, torcs et al. (LP: #1471213)

 -- Timo Aaltonen <tjaalton@debian.org>  Fri, 03 Jul 2015 15:08:26 +0300

mesa (10.5.8-1ubuntu1) wily; urgency=medium

  * Merge from Debian unstable.

 -- Timo Aaltonen <tjaalton@debian.org>  Thu, 25 Jun 2015 21:34:12 +0300

mesa (10.5.8-1) unstable; urgency=medium

  * New upstream release.

 -- Timo Aaltonen <tjaalton@debian.org>  Thu, 25 Jun 2015 18:50:11 +0300

mesa (10.5.7-1ubuntu1) wily; urgency=medium

  * Merge from Debian unstable, remaining changes
    - libclc/clang is not in main, drop building mesa-opencl-icd
    - drop building the software rasterizer
    - llvm-3.6 is the default on Ubuntu, use it
    - install GL/EGL libs under a separate dir to not conflict with
      blobs, use alternatives for ldconfig
    - patches:
      egl-platform-mir.patch: Mir EGL platform
      i915-dont-default-to-2.1.patch: revert of i915 forced OpenGL
        2.1 commit
      skl-*: backports for Skylake
  * control: Add libmirclient-dev to build-depends.

 -- Timo Aaltonen <tjaalton@debian.org>  Tue, 16 Jun 2015 14:33:48 +0300

mesa (10.5.7-1) unstable; urgency=medium

  * New upstream release.
  * control: Bump policy to 3.9.6, no changes.

 -- Timo Aaltonen <tjaalton@debian.org>  Tue, 16 Jun 2015 11:57:08 +0300

mesa (10.5.5-1) unstable; urgency=medium

  [ Maarten Lankhorst ]
  * New upstream release.
  * Update watch file.

  [ Timo Aaltonen ]
  * libegl1-mesa.symbols: Updated.

 -- Timo Aaltonen <tjaalton@debian.org>  Tue, 12 May 2015 13:26:49 +0300

mesa (10.5.2-0ubuntu1) vivid; urgency=medium

  * Merge from unreleased experimental git
    - new upstream bugfix release
  * egl-platform-mir.patch: Refreshed.

 -- Timo Aaltonen <tjaalton@debian.org>  Mon, 30 Mar 2015 15:07:30 +0300

mesa (10.5.0-0ubuntu1) vivid; urgency=medium

  * Merge with unreleased debian-experimental.

 -- Maarten Lankhorst <maarten.lankhorst@ubuntu.com>  Mon, 09 Mar 2015 14:10:00 +0100

mesa (10.5.0~rc3-0ubuntu1) vivid; urgency=medium
  
  * Merge with unreleased debian-experimental.
  * Drop skl-implement-wadisable1ddepthstencil.diff, upstreamed.

 -- Maarten Lankhorst <maarten.lankhorst@ubuntu.com>  Mon, 02 Mar 2015 11:45:53 +0100

mesa (10.5.0~rc2-0ubuntu1) vivid; urgency=medium
  
  * Merge with unreleased debian-experimental.

 -- Maarten Lankhorst <maarten.lankhorst@ubuntu.com>  Mon, 16 Feb 2015 09:35:43 +0100

mesa (10.5.0~rc1-0ubuntu2) vivid; urgency=medium

  * Add a couple of backported fixes for Skylake:
    skl-use-1-register-for-uniform-pull.diff
    skl-use-vec4-datatypes-for-message-header.diff
    skl-implement-wadisable1ddepthstencil.diff

 -- Timo Aaltonen <tjaalton@debian.org>  Fri, 20 Feb 2015 08:54:44 +0200

mesa (10.5.0~rc1-0ubuntu1) vivid; urgency=medium

  [ Timo Aaltonen ]
  * Update Mir patch.

  [ Maarten Lankhorst ]
  * Merge from unreleased debian-experimental.

 -- Maarten Lankhorst <maarten.lankhorst@ubuntu.com>  Thu, 19 Feb 2015 11:28:53 +0100

mesa (10.4.2-2ubuntu5) vivid; urgency=medium

  * Fix ftbfs from no longer including libmirclient-dev.

 -- Maarten Lankhorst <maarten.lankhorst@ubuntu.com>  Wed, 11 Feb 2015 09:21:54 +0100

mesa (10.4.2-2ubuntu4) vivid; urgency=medium

  * debian/control:
    - Change build-dep for mir to mir-client-platform-mesa-dev.
  * debian/patches/egl-platform-mir.patch:
    - Fix potential double free (LP: #1414999).
    - Fix gbm_device leak (LP: #1419704).
    - Fix dri_buffers[front/back] leak (LP: #1419710).
    - Use mir-client-platform-mesa-dev to get Mir build flags.

 -- Alexandros Frantzis <alexandros.frantzis@canonical.com>  Mon, 09 Feb 2015 12:35:56 +0200

mesa (10.4.2-2ubuntu3) vivid; urgency=medium

  * egl-platform-mir.patch: Fix memory leak. (LP:#1418486)

 -- Timo Aaltonen <tjaalton@debian.org>  Fri, 06 Feb 2015 12:12:01 +0200

mesa (10.4.2-2ubuntu2) vivid; urgency=medium

  * Flip the switch to llvm 3.6 with patches backported from upstream.
  * Add upstream workaround for hangs on gen4. (LP: #1388612)

 -- Maarten Lankhorst <maarten.lankhorst@ubuntu.com>  Thu, 29 Jan 2015 13:27:10 +0100

mesa (10.4.2-2ubuntu1) vivid; urgency=medium

  [ Timo Aaltonen ]
  * Merge from Debian experimental.

  [ Maarten Lankhorst ]

