=== debian/control ===
Source: mesa-lts-vivid
Section: graphics
Priority: optional
Maintainer: Ubuntu X-SWAT <ubuntu-x@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian X Strike Force <debian-x@lists.debian.org>
Standards-Version: 3.9.3
Build-Depends:
 debhelper (>= 9),
 quilt (>= 0.40),
 pkg-config,
 libdrm-dev (>= 2.4.56) [!hurd-any],
 libx11-dev,
 x11proto-gl-dev (>= 1.4.14),
 libxxf86vm-dev,
 libexpat1-dev,
 dpkg-dev (>= 1.16.1),
 libxfixes-dev,
 libxdamage-dev,
 libxext-dev,
 libvdpau-dev [linux-any kfreebsd-any],
 autoconf,
 automake,
 libtool,
 x11proto-dri2-dev (>= 2.6),
 x11proto-dri3-dev (>= 1.0),
 x11proto-present-dev (>= 1.0),
 linux-libc-dev (>= 2.6.31) [linux-any],
 libx11-xcb-dev,
 libxcb-dri2-0-dev (>= 1.8),
 libxcb-glx0-dev (>= 1.8.1),
 libxcb-xfixes0-dev,
 libxcb-dri3-dev,
 libxcb-present-dev,
 libxcb-randr0-dev,
 libxcb-sync-dev,
 libxshmfence-dev (>= 1.1),
 python,
 python-mako,
 libudev-dev [linux-any],
 flex,
 bison,
 llvm-3.6-dev (>= 1:3.5-1) [amd64 i386 kfreebsd-amd64 kfreebsd-i386 armhf],
 libelf-dev [amd64 i386 kfreebsd-amd64 kfreebsd-i386 armhf],
 libwayland-dev (>= 1.2.0) [linux-any],
Vcs-Git: git://git.debian.org/git/pkg-xorg/lib/mesa
Vcs-Browser: http://git.debian.org/?p=pkg-xorg/lib/mesa.git
Homepage: http://mesa3d.sourceforge.net/

Package: libxatracker2-lts-vivid
Section: libs
Architecture: linux-any 
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
Pre-Depends: ${misc:Pre-Depends}
Multi-Arch: same
Description: X acceleration library -- runtime
 This package contains the XA (X acceleration) library.  It is used exclusively
 by the X server to do render, copy and video acceleration.
 .
 XA is intended to be used by the vmware driver for virtualized X acceleration.
Replaces: libxatracker2
Provides: libxatracker2, xorg-renamed-package, xorg-renamed-package-lts-vivid
Conflicts: libxatracker2, xorg-renamed-package-lts-utopic,

Package: libxatracker2-lts-vivid-dbg
Section: debug
Priority: extra
Architecture: linux-any
Depends:
 libxatracker2-lts-vivid (= ${binary:Version}),
 ${misc:Depends},
Pre-Depends: ${misc:Pre-Depends}
Multi-Arch: same
Description: X acceleration library -- debugging symbols
 This package contains the XA (X acceleration) library.  It is used exclusively
 by the X server to do render, copy and video acceleration.
 .
 XA is intended to be used by the vmware driver for virtualized X acceleration.
 .
 This package contains the debugging symbols for the xatracker library.
Replaces: libxatracker2-dbg
Provides: libxatracker2-dbg, xorg-renamed-package, xorg-renamed-package-lts-vivid
Conflicts: libxatracker2-dbg, xorg-renamed-package-lts-utopic,

Package: libxatracker-dev-lts-vivid
Section: libdevel
Architecture: linux-any
Depends:
 libxatracker2-lts-vivid (= ${binary:Version}),
 ${misc:Depends},
Multi-Arch: same
Description: X acceleration library -- development files
 This package contains the XA (X acceleration) library.  It is used exclusively
 by the X server to do render, copy and video acceleration.
 .
 XA is intended to be used by the vmware driver for virtualized X acceleration.
 .
 This package provides the development environment for compiling programs
 against the xatracker library.
Replaces: libxatracker-dev
Provides: libxatracker-dev, xorg-renamed-package, xorg-renamed-package-lts-vivid
Conflicts: libxatracker-dev, xorg-renamed-package-lts-utopic,

Package: libgbm1-lts-vivid
Section: libs
Architecture: linux-any kfreebsd-any
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 libgl1-mesa-dri-lts-vivid (= ${binary:Version}),
 libudev1 [linux-any],
Pre-Depends: ${misc:Pre-Depends}
Multi-Arch: same
Description: generic buffer management API -- runtime
 This package contains the GBM buffer management library.  It provides a
 mechanism for allocating buffers for graphics rendering tied to Mesa.
 .
 GBM is intended to be used as a native platform for EGL on drm or openwfd.
Replaces:
Provides: xorg-renamed-package, xorg-renamed-package-lts-vivid
Conflicts: xorg-renamed-package-lts-utopic,

Package: libgbm1-lts-vivid-dbg
Section: debug
Priority: extra
Architecture: linux-any kfreebsd-any
Depends:
 libgbm1-lts-vivid (= ${binary:Version}),
 ${misc:Depends},
Pre-Depends: ${misc:Pre-Depends}
Multi-Arch: same
Description: generic buffer management API -- debugging symbols
 This package contains the GBM buffer management library.  It provides a
 mechanism for allocating buffers for graphics rendering tied to Mesa.
 .
 GBM is intended to be used as a native platform for EGL on drm or openwfd.
 .
 This package contains the debugging symbols for the GBM library.
Replaces:
Provides: xorg-renamed-package, xorg-renamed-package-lts-vivid
Conflicts: xorg-renamed-package-lts-utopic,

Package: libgbm-dev-lts-vivid
Section: libdevel
Architecture: linux-any kfreebsd-any
Depends:
 libgbm1-lts-vivid (= ${binary:Version}),
 libudev-dev [linux-any],
 ${misc:Depends},
Multi-Arch: same
Description: generic buffer management API -- development files
 This package contains the GBM buffer management library.  It provides a
 mechanism for allocating buffers for graphics rendering tied to Mesa.
 .
 GBM is intended to be used as a native platform for EGL on drm or openwfd.
 .
 This package provides the development environment for compiling programs
 against the GBM library.
Replaces: libgbm-dev
Provides: libgbm-dev, xorg-renamed-package, xorg-renamed-package-lts-vivid
Conflicts: libgbm-dev, xorg-renamed-package-lts-utopic,

Package: libegl1-mesa-lts-vivid
Section: libs
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 libudev1 [linux-any],
 libgl1-mesa-dri-lts-vivid (= ${binary:Version}),
Provides:
 libegl1-mesa, xorg-renamed-package, xorg-renamed-package-lts-vivid, libegl1-mesa-drivers,
 libegl1-x11
Conflicts:
 libegl1-mesa, xorg-renamed-package-lts-utopic,,
 libegl1-x11
Replaces:
 libegl1-mesa,
 libegl1-x11
Pre-Depends: ${misc:Pre-Depends}
Multi-Arch: same
Description: free implementation of the EGL API -- runtime
 This package contains the EGL native platform graphics interface library.
 EGL provides a platform-agnostic mechanism for creating rendering surfaces
 for use with other graphics libraries, such as OpenGL|ES.
 .
 This package contains modules to interface with the existing system GLX or
 DRI2 drivers to provide OpenGL via EGL.

Package: libegl1-mesa-lts-vivid-dbg
Section: debug
Priority: extra
Architecture: any
Depends:
 libegl1-mesa-lts-vivid (= ${binary:Version}),
 ${misc:Depends},
Multi-Arch: same
Description: free implementation of the EGL API -- debugging symbols
 This package contains the EGL native platform graphics interface library.
 EGL provides a platform-agnostic mechanism for creating rendering surfaces
 for use with other graphics libraries, such as OpenGL|ES.
 .
 This package contains the debugging symbols for the EGL library.
Replaces: libegl1-mesa-dbg
Provides: libegl1-mesa-dbg, xorg-renamed-package, xorg-renamed-package-lts-vivid
Conflicts: libegl1-mesa-dbg, xorg-renamed-package-lts-utopic,

Package: libegl1-mesa-dev-lts-vivid
Section: libdevel
Architecture: any
Depends:
 libegl1-mesa-lts-vivid (= ${binary:Version}),
 libwayland-egl1-mesa-lts-vivid (= ${binary:Version}) [linux-any],
 libdrm-dev (>= 2.4.52) [!hurd-any],
 x11proto-dri2-dev (>= 2.6),
 x11proto-gl-dev (>= 1.4.14),
 libx11-dev,
 libxext-dev,
 libxxf86vm-dev,
 libxdamage-dev,
 libxfixes-dev,
 libxcb-glx0-dev,
 libxcb-dri2-0-dev,
 libxcb-dri3-dev,
 libxcb-present-dev,
 libxcb-sync-dev,
 libxshmfence-dev,
 libx11-xcb-dev,
 libwayland-dev (>= 1.2.0) [linux-any],
 ${misc:Depends},
Multi-Arch: same
Description: free implementation of the EGL API -- development files
 This package contains the development environment required for compiling
 programs against EGL native platform graphics interface library.
 EGL provides a platform-agnostic mechanism for creating rendering surfaces
 for use with other graphics libraries, such as OpenGL|ES.
 .
 This package provides the development environment for compiling programs
 against the EGL library.
Replaces: libegl1-mesa-dev
Provides: libegl1-mesa-dev, xorg-renamed-package, xorg-renamed-package-lts-vivid
Conflicts: libegl1-mesa-dev, xorg-renamed-package-lts-utopic,

#Package: libegl1-mesa-drivers
#Section: libs
#Architecture: linux-any kfreebsd-any
#Depends:
# ${misc:Depends},
#Multi-Arch: same
#Description: transitional dummy package
# This is a transitional dummy package, it can be safely removed.

Package: libwayland-egl1-mesa-lts-vivid
Section: libs
Architecture: linux-any
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 libegl1-mesa-lts-vivid (= ${binary:Version})
Provides:
 libwayland-egl1-mesa, xorg-renamed-package, xorg-renamed-package-lts-vivid,
 libwayland-egl1
Conflicts:
 libwayland-egl1-mesa, xorg-renamed-package-lts-utopic,,
 libwayland-egl1
Replaces:
 libwayland-egl1-mesa,
 libwayland-egl1, libegl1-mesa-drivers  (<< 10.1.0-2)
Breaks: libegl1-mesa-drivers (<< 10.1.0-2)
Pre-Depends: ${misc:Pre-Depends}
Multi-Arch: same
Description: implementation of the Wayland EGL platform -- runtime
 This package contains the mesa implementation of the Wayland EGL platform

Package: libwayland-egl1-mesa-lts-vivid-dbg
Section: debug
Priority: extra
Architecture: linux-any
Depends:
 libwayland-egl1-mesa-lts-vivid (= ${binary:Version}),
 ${misc:Depends},
Multi-Arch: same
Description: implementation of the Wayland EGL platform -- debugging symbols
 This package contains the debugging symbols for the mesa implementation of the
 Wayland EGL platform
Replaces: libwayland-egl1-mesa-dbg
Provides: libwayland-egl1-mesa-dbg, xorg-renamed-package, xorg-renamed-package-lts-vivid
Conflicts: libwayland-egl1-mesa-dbg, xorg-renamed-package-lts-utopic,

Package: libgles1-mesa-lts-vivid
Section: libs
Architecture: any
Depends:
 libglapi-mesa-lts-vivid (= ${binary:Version}),
 ${shlibs:Depends},
 ${misc:Depends},
Provides:
 libgles1-mesa, xorg-renamed-package, xorg-renamed-package-lts-vivid,
 libgles1
Conflicts:
 libgles1-mesa, xorg-renamed-package-lts-utopic,,
 libgles1
Replaces:
 libgles1-mesa,
 libgles1
Pre-Depends: ${misc:Pre-Depends}
Multi-Arch: same
Description: free implementation of the OpenGL|ES 1.x API -- runtime
 OpenGL|ES is a cross-platform API for full-function 2D and 3D graphics on
 embedded systems - including consoles, phones, appliances and vehicles.
 It contains a subset of OpenGL plus a number of extensions for the
 special needs of embedded systems.
 .
 OpenGL|ES 1.x provides an API for fixed-function hardware.

Package: libgles1-mesa-lts-vivid-dbg
Section: debug
Priority: extra
Architecture: any
Depends:
 libgles1-mesa-lts-vivid (= ${binary:Version}),
 ${misc:Depends},
Multi-Arch: same
Description: free implementation of the OpenGL|ES 1.x API -- debugging symbols
 OpenGL|ES is a cross-platform API for full-function 2D and 3D graphics on
 embedded systems - including consoles, phones, appliances and vehicles.
 It contains a subset of OpenGL plus a number of extensions for the
 special needs of embedded systems.
 .
 OpenGL|ES 1.x provides an API for fixed-function hardware.
 .
 This package contains the debugging symbols for the libGLESv1_CM library.
Replaces: libgles1-mesa-dbg
Provides: libgles1-mesa-dbg, xorg-renamed-package, xorg-renamed-package-lts-vivid
Conflicts: libgles1-mesa-dbg, xorg-renamed-package-lts-utopic,

Package: libgles1-mesa-dev-lts-vivid
Section: libdevel
Architecture: any
Depends:
 libgles1-mesa-lts-vivid (= ${binary:Version}),
 libegl1-mesa-dev-lts-vivid,
 ${misc:Depends},
Multi-Arch: same
Description: free implementation of the OpenGL|ES 1.x API -- development files
 OpenGL|ES is a cross-platform API for full-function 2D and 3D graphics on
 embedded systems - including consoles, phones, appliances and vehicles.
 It contains a subset of OpenGL plus a number of extensions for the
 special needs of embedded systems.
 .
 OpenGL|ES 1.x provides an API for fixed-function hardware.
 .
 This package provides a development environment for building programs using
 the OpenGL|ES 1.x APIs.
Replaces: libgles1-mesa-dev
