=== debian/watch ===
#git=git://anongit.freedesktop.org/mesa/mesa
version=3
opts="uversionmangle=s/-rc/~rc/,dversionmangle=s/\+repack//,pgpsigurlmangle=s/$/.sig/,pasv" \
ftp://freedesktop.org/pub/mesa/([\d\.]*)/ mesa-(.*)\.tar\.gz
